#ifndef SDP_DRY_SENSOR_CONFIG_H
#define SDP_DRY_SENSOR_CONFIG_H

#define SPEED_Gpio PIND
#define SPEED_Pin (1 << 2)

#define GSM_EN_Gpio PORTD
#define GSM_EN_Pin (1 << 4)

#define GSM_KEY_Gpio PORTD
#define GSM_KEY_Pin (1 << 3)

#define EXTPWR_EN_Gpio PORTD
#define EXTPWR_EN_Pin (1 << 5)

#define LED1_Gpio PORTB
#define LED1_Pin (1 << 4)

#define LED2_Gpio PORTD
#define LED2_Pin (1 << 6)

#define FRQ_Gpio PINB
#define FRQ1_Pin (1 << 3)
#define FRQ2_Pin (1 << 2)

// требуется для аттини

#define INIT_DDRD (GSM_EN_Pin | EXTPWR_EN_Pin | LED2_Pin | GSM_KEY_Pin)
#define INIT_DDRB (LED1_Pin)

#define GSM_EN_Set() GSM_EN_Gpio |= GSM_EN_Pin
#define GSM_EN_Reset() GSM_EN_Gpio &= ~GSM_EN_Pin

#define GSM_KEY_Set() GSM_KEY_Gpio |= GSM_KEY_Pin
#define GSM_KEY_Reset() GSM_KEY_Gpio &= ~GSM_KEY_Pin

#define EXTPWR_EN_Set() EXTPWR_EN_Gpio |= EXTPWR_EN_Pin
#define EXTPWR_EN_Reset() EXTPWR_EN_Gpio &= ~EXTPWR_EN_Pin

#define LED1_Set() LED1_Gpio |= LED1_Pin
#define LED1_Reset() LED1_Gpio &= ~LED1_Pin
#define LED1_Toggle() LED1_Gpio ^= LED1_Pin

#define LED2_Set() LED2_Gpio |= LED2_Pin
#define LED2_Reset() LED2_Gpio &= ~LED2_Pin
#define LED2_Toggle() LED2_Gpio ^= LED2_Pin

#endif //SDP_DRY_SENSOR_CONFIG_H
