//
// Created by vlad on 17.08.22.
//

#ifndef SDP_DRY_SENSOR_PLATFORM_H
#define SDP_DRY_SENSOR_PLATFORM_H

#include <stdint.h>
#include <avr/pgmspace.h>

extern volatile uint8_t timeout_err;

#define WDR() asm volatile ("wdr")

/**
 * Инициализация модуля
 */
void platform_init();

void platform_wdt_start();

void platform_wdt_stop();

void uart_init();
void uart_deinit();

void uart_write_char(char c);
void uart_write_str(const char* str);
void uart_write_fstr(PGM_P str);

char uart_read_char();
void uart_discard_input();


#endif //SDP_DRY_SENSOR_PLATFORM_H
